package com.dgtly.system.mapper;

import com.dgtly.system.domain.EntryPass;
import java.util.List;
import java.util.Map;

/**
 * 出入证Mapper接口
 * 
 * @author dgtly
 * @date 2020-02-15
 */
public interface EntryPassMapper 
{
    /**
     * 查询出入证
     * 
     * @param userId 出入证ID
     * @return 出入证
     */
    public EntryPass selectEntryPassByUserId(Long userId);

    /**
     * 查询出入证列表
     * 
     * @param entryPass 出入证
     * @return 出入证集合
     */
    public List<EntryPass> selectEntryPassList(EntryPass entryPass);

    /**
     * 新增出入证
     * 
     * @param entryPass 出入证
     * @return 结果
     */
    public int insertEntryPass(EntryPass entryPass);

    /**
     * 修改出入证
     * 
     * @param entryPass 出入证
     * @return 结果
     */
    public int updateEntryPass(EntryPass entryPass);

    /**
     * 删除出入证
     * 
     * @param id 出入证ID
     * @return 结果
     */
    public int deleteEntryPassById(Long id);

    /**
     * 批量删除出入证
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteEntryPassByIds(String[] ids);


}
